# EclipseClasspathContainer

interface EclipseClasspathContainer : EclipseClasspathEntry

Eclipse classpath entry used by third-party plugins to contribute to the project's classpath.

#### Since

3.0

## Functions

getAccessRules
Link copied to clipboard
abstract fun getAccessRules(): DomainObjectSet<out AccessRule>
getClasspathAttributes
Link copied to clipboard
abstract fun getClasspathAttributes(): DomainObjectSet<out ClasspathAttribute>
getPath
Link copied to clipboard
abstract fun getPath(): String
Returns the path of this container.
isExported
Link copied to clipboard
abstract fun isExported(): Boolean
Marks this container as exported.